From: Till Kamppeter <till.kamppeter@gmail.com>
Date: Fri, 22 Jul 2016 09:32:59 +0200
Subject: Treat logging before importing of logger module

LP: #560849
Origin: https://src.fedoraproject.org/rpms/hplip/blob/master/f/hplip-log-stderr.patch
---
 fax/backend/hpfax.py |  5 ++++-
 prnt/filters/hpps    | 10 ++++++++--
 2 files changed, 12 insertions(+), 3 deletions(-)

diff --git a/fax/backend/hpfax.py b/fax/backend/hpfax.py
index b540734..2514e78 100755
--- a/fax/backend/hpfax.py
+++ b/fax/backend/hpfax.py
@@ -55,7 +55,10 @@ home_dir = ''
 
 def bug(msg):
     syslog.syslog("hpfax[%d]: error: %s\n" % (pid, msg))
-    log.stderr("ERROR: %s\n" % msg)
+    try:
+        log.stderr("ERROR: %s\n" % msg)
+    except:
+        print >> sys.stderr, ("ERROR: %s\n" % msg)
 
 
 if os.path.exists(config_file):
diff --git a/prnt/filters/hpps b/prnt/filters/hpps
index d6220ba..00a4931 100644
--- a/prnt/filters/hpps
+++ b/prnt/filters/hpps
@@ -53,10 +53,16 @@ home_dir = ''
 
 
 def bug(m):
-    log.stderr("ERROR: %s" % m)
+    try:
+        log.stderr("ERROR: %s" % m)
+    except NameError:
+        sys.stderr.write("ERROR: %s\n" % m)
 
 def msg(m):
-    log.stderr("INFO: %s" % m)
+    try:
+        log.stderr("INFO: %s" % msg)
+    except NameError:
+        sys.stderr.write("INFO: %s\n" % msg)
 
 if os.path.exists(config_file):
     config = configparser.ConfigParser()
